<?xml version="1.0" encoding="utf-8"?>
<!-- 
========================================================================
navigation.extract.xsl extrait la navigation d'un fichier XHTML
C. COMPAGNON, 2013-05-09
version : 1.0
========================================================================
-->
<xsl:transform 
version="2.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xpath-default-namespace="http://www.w3.org/1999/xhtml"
id="navigation.extract">

<xsl:output
method="xml"
encoding="utf-8"
indent="yes"
omit-xml-declaration="yes"/>

<!-- ========================== Paramètres =========================== -->
<xsl:param name="filename">à définir</xsl:param>
<xsl:param name="id">à définir</xsl:param>
<!-- ========================== Définitions des variables =========================== -->

<!-- ========================== Fonctions =========================== -->

<!-- ========================== Template principal =========================== -->
<xsl:template match="/">
<!-- navigation -->
<!-- <link rel="start" href="../index.html"/> -->
<xsl:message>Extraction du fichier <xsl:value-of select="$filename"/></xsl:message>
<src name="{$filename}" id="{$id}">
<xsl:if test="not(exists(/html/head/link[@rel='up'])) and not(exists(/html/head/link[@rel='home']))">
<xsl:attribute name="home">home</xsl:attribute>
<xsl:message>  ====> Page "Home"</xsl:message>
</xsl:if>

<title><xsl:value-of select="/html/head/title"/></title>
<desc><xsl:value-of select="/html/head/meta[@name='description']/@content"/></desc>
<xsl:if test="exists(/html/head/link[@rel='up'])"><up><xsl:value-of select="/html/head/link[@rel='up']/@href"/></up></xsl:if>
<xsl:if test="exists(/html/head/link[@rel='start'])"><start><xsl:value-of select="/html/head/link[@rel='start']/@href"/></start></xsl:if>
<xsl:if test="exists(/html/head/link[@rel='prev'])"><previous><xsl:value-of select="/html/head/link[@rel='prev']/@href"/></previous></xsl:if>
<xsl:if test="exists(/html/head/link[@rel='next'])"><next><xsl:value-of select="/html/head/link[@rel='next']/@href"/></next></xsl:if>
</src>
</xsl:template>

<xsl:template match="text()"/>
</xsl:transform>
